=== debian/changelog ===
dhcpcd5 (9.4.1-19) unstable; urgency=medium

  [ lintian-brush ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Fix day-of-week for changelog entries 5.2.12-1, 5.2.7-3.
  * Trim trailing whitespace.
  [ Martin-Éric Racine ]
  * Revert 9.4.1-6 cherry-pick from upstream Git (Closes: #1019100).
    While that fixed a race condition, it also introduced a regression
    for cases when IPv6 link-local uses a 128-bit prefix.
    Due to the Bookworm freeze, reverting 9.4.1-6 feels appropriate.
    This may need to be revisited when the next upstream is released.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 19 Feb 2023 15:13:44 +0200

dhcpcd5 (9.4.1-18) unstable; urgency=medium

  * Add wpasupplicant to Recommends for dhcpcd-base for SSID profiles.
  * Ship an empty /etc/wpa_supplicant/ with dhcpcd for ReadWritePaths.
    Thanks to Beat Bolli for spotting that one in #1020641.
  * Add exit hook for IPv6 debugging to examples.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 12 Feb 2023 07:53:59 +0200

dhcpcd5 (9.4.1-17) unstable; urgency=medium

  * Fix systemd unit hardening to work with dhcpcd-gtk (Closes: #1020641).
    + Add /etc/wpa_supplicant /etc/dhcpcd.conf to ReadWritePaths.
    - Comment out PrivateTmp=true.
    Many thanks to martintxo and János Pásztor for extensive testing.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 08 Feb 2023 08:42:40 +0200

dhcpcd5 (9.4.1-16) unstable; urgency=medium

  * Add patch from upstream Git: Fix incorrect CTASSERT in ND_OPT_DNSSL.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 01 Feb 2023 07:07:23 +0200

dhcpcd5 (9.4.1-15) unstable; urgency=medium

  * Fix "dhcpcd fails to chroot during start" (Closes: #1029437).
    Thanks to János Pásztor for the patch.
  * Add ORed Depends on sysvinit-utils for obsolete lsb-base.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 26 Jan 2023 10:32:24 +0200

dhcpcd5 (9.4.1-14) unstable; urgency=medium

  * Revert "Add 4 patches from upstream Git to fix compiler warnings."
    Those 4 patches cannot be cherry-picked. They depend on earlier upstream
    Git commits without which the code breaks, even though it compiles fine.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 19 Jan 2023 11:07:51 +0200

dhcpcd5 (9.4.1-13) unstable; urgency=medium

  * Update my copyright for 2023.
  * Move transitional package to Section: oldlibs.
  * Add 4 patches from upstream Git to fix compiler warnings:
    0008_use_return_of_functions.patch
    0009_fix_clang_compiler_warning.patch
    0010_fix_more_compiler_warnings.patch
    0011_remove_suffix_from_md5.patch

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 14 Jan 2023 10:12:39 +0200

dhcpcd5 (9.4.1-12) unstable; urgency=medium

  * Add patch from Git 0007_set_buffer_lenght_to_0.patch (Closes: #1024357).
  * Migrate binaries from dhcpcd5 to dhcpcd.
    = Move maintainer scripts from dhcpcd5 to dhcpcd.
    + Add transitional package dhcpcd5.
    = Rename dhcpcd5 to dhcpcd.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 08 Jan 2023 13:08:42 +0200

dhcpcd5 (9.4.1-11) unstable; urgency=medium

  * Merge patch from Git to skip ~ backup hooks (Closes: #1014446).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 12 Nov 2022 12:29:49 +0200

dhcpcd5 (9.4.1-10) unstable; urgency=medium

  * Add Conflicts/Provides/Replaces: dhcp-client
    interfaces(5) precedence for DHCP method is: dhclient, pump, udhcpc, dhcpcd.
    We wanna ensure that none of those with a higher priority are installed.
    We skip pump since it hasn't been in the Debian archive for a long time.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 11 Nov 2022 15:02:15 +0200

dhcpcd5 (9.4.1-9) unstable; urgency=medium

  * Add --no-block to Debian's timesyncd exit hook (Closes: #1003225).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 27 Oct 2022 07:38:44 +0300

dhcpcd5 (9.4.1-8) unstable; urgency=medium

  * Add missing Build-Depends on pkg-config.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 19 Oct 2022 00:47:38 +0300

dhcpcd5 (9.4.1-7) unstable; urgency=medium

  * [patches]
    + Merge upstream Git patch to fix configure --prefix for autoconf.
  * [rules]
    = Simplified configure options to match.
  * [postinst]
    = Input GECOS for dhcpcd upon account creation instead of afterwards.
  * [postinst|postrm]
    - Remove cruft for upgrading from oldstable.
    - Remove binary symlinks since Bookworm pulls usrmerge.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 18 Oct 2022 08:45:55 +0300

dhcpcd5 (9.4.1-6) unstable; urgency=medium

  * Merge patch from upstream Git: Use netlink to workout address flags.
    + 0004_use_netlink_for_ipv6.patch

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 31 Aug 2022 05:52:03 +0300

dhcpcd5 (9.4.1-5) unstable; urgency=medium

  * Add sample config for IPv6 Prefix Delegation.
  * Merge patch from upstream Git for minimum IPv6 lifetime.
    + 0003_RFC4862_minimum_lft.patch

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 28 Aug 2022 12:07:33 +0300

dhcpcd5 (9.4.1-4) unstable; urgency=medium

  * [service]
    = Update pid paths in both systemd service units (Closes: #1014277).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 07 Jul 2022 08:31:37 +0300

dhcpcd5 (9.4.1-3) unstable; urgency=medium

  * [control]
    = Move Depends on lsb-base from dhcpcd-base to dhcpcd5.
      Needed by the init.d script, not by the binaries.
    = Make Build-Depends on libudev-dev specific to [linux-any].

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 30 Jun 2022 10:55:38 +0300

dhcpcd5 (9.4.1-2) unstable; urgency=medium

  [ Martin-Éric Racine ]
  * Adopt package (Closes: #1013763).
    Thanks to Scott Leggett for having maintained the package in recent years.
  * Implement privilege separation (Closes: #1013430).
    + Add to [rules]:
      --privsepuser=dhcpcd

