=== debian/control ===
Source: dhcpcd5
Section: net
Priority: optional
Homepage: https://roy.marples.name/projects/dhcpcd
Maintainer: Martin-Éric Racine <martin-eric.racine@iki.fi>
Build-Depends: debhelper-compat (= 13),
               libudev-dev [linux-any],
               pkg-config
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/dhcpcd5
Vcs-Git: https://salsa.debian.org/debian/dhcpcd5.git

Package: dhcpcd
Architecture: all
Depends: dhcpcd-base,
         sysvinit-utils (>= 3.05-4~) | lsb-base (>= 3.0-6),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: dhcpcd
Replaces: dhcpcd5 (<< 9.4.1-12)
Breaks: dhcpcd5 (<< 9.4.1-12)
Suggests: dhcpcd-gtk,
          openresolv | resolvconf
Description: DHCPv4 and DHCPv6 dual-stack client (init.d script and systemd unit)
 dhcpcd provides seamless IPv4 and IPv6 auto-configuration.
 .
 This package provides the optional init.d script and systemd units.
 .
 It can be safely purged on systems where interfaces are configured
 by ifupdown via </etc/network/interfaces> using the DHCP method with
 binaries provided by dhcpcd-base.

Package: dhcpcd-base
Architecture: any
Conflicts: dhcp-client
Provides: dhcp-client
Replaces: dhcp-client,
          dhcpcd5 (<< 9.4.1-2)
Breaks: dhcpcd5 (<< 9.4.1-2)
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: wpasupplicant
Description: DHCPv4 and DHCPv6 dual-stack client (binaries and exit hooks)
 dhcpcd provides seamless IPv4 and IPv6 auto-configuration:
  * DHCPv4 client
  * DHCPv6 client with Prefix Delegation (PD) support
  * IPv4 LL support (ZeroConf)
  * IPv6 SLAAC support
  * ARP address conflict resolution
  * ARP ping profiles
  * Wireless SSID profiles
 .
 This package provides the binaries, exit hooks and manual pages.
 .
 It offers a dual-stack substitute for ISC DHCP Client (dhclient) on systems
 where interfaces are configured by ifupdown via </etc/network/interfaces>
 using the DHCP method.
 .
 The init.d script and systemd unit required for systems without ifupdown are
 packaged separately as dhcpcd.

Package: dhcpcd5
Section: oldlibs
Architecture: all
Depends: dhcpcd,
         ${misc:Depends},
         ${shlibs:Depends}
Description: DHCPv4 and DHCPv6 dual-stack client (dummy transitional package)
 This package depends on dhcpcd. It can safely be removed after upgrades.
