=== debian/tests/control ===
Tests: chrony-ntp-servers-from-dhcp
Depends: chrony,
         dnsmasq,
         ethtool,
         iproute2,
         @
Restrictions: isolation-machine, needs-root, breaks-testbed

Tests: timesyncd-ntp-servers-from-dhcp
Depends: dnsmasq,
         ethtool,
         iproute2,
         @
Restrictions: isolation-machine, needs-root, breaks-testbed

Tests: ntpd-ntp-servers-from-dhcp
Depends: dnsmasq,
         ethtool,
         iproute2,
         ntp,
         @
Restrictions: isolation-machine, needs-root, breaks-testbed

Tests: openntpd-ntp-servers-from-dhcp
Depends: dnsmasq,
         ethtool,
         iproute2,
         openntpd,
         @
Restrictions: isolation-machine, needs-root, breaks-testbed

Tests: sbin-dhcpcd-exists-without-usrmerge
Depends: @
Restrictions:

Tests: sbin-dhcpcd-exists-with-usrmerge
Depends: usrmerge,
         @
Restrictions: breaks-testbed
