=== debian/watch ===
version=4
https://roy.marples.name/downloads/dhcpcd/dhcpcd-([0-9\.]*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) \
debian uupdate --no-symlink
#opts="mode=git,pgpmode=gittag" \
#https://github.com/NetworkConfiguration/dhcpcd.git refs/tags/dhcpcd-([\d\.]+) \
